BootstrapMethodEntry (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile, interface: BootstrapMethodEntry
Keywords: java.lang.classfile.BootstrapMethodEntry interface

# Interface BootstrapMethodEntry

All Superinterfaces:
  `ClassFileElementPREVIEW`, `WritableElementPREVIEW<BootstrapMethodEntryPREVIEW>`

public sealed interface BootstrapMethodEntry extends WritableElementPREVIEW<BootstrapMethodEntryPREVIEW>
`BootstrapMethodEntry` is a preview API of the Java platform.
Programs can only use `BootstrapMethodEntry` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models an entry in the bootstrap method table. The bootstrap method table is stored in the `BootstrapMethods` attribute, but is modeled by the `ConstantPool`PREVIEW, since the bootstrap method table is logically part of the constant pool.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<LoadableConstantEntryPREVIEW>`
  `arguments()`
  Returns the bootstrap arguments.
  `MethodHandleEntryPREVIEW`
  `bootstrapMethod()`
  Returns the bootstrap method.
  `int`
  `bsmIndex()`
  Returns the index into the bootstrap method table corresponding to this entry.
  `ConstantPoolPREVIEW`
  `constantPool()`
  Returns the constant pool associated with this entry.

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### constantPool

    ConstantPoolPREVIEW constantPool()
    Returns the constant pool associated with this entry.
    Returns:
      the constant pool associated with this entry

  - ### bsmIndex

    int bsmIndex()
    Returns the index into the bootstrap method table corresponding to this entry.
    Returns:
      the index into the bootstrap method table corresponding to this entry

  - ### bootstrapMethod

    MethodHandleEntryPREVIEW bootstrapMethod()
    Returns the bootstrap method.
    Returns:
      the bootstrap method

  - ### arguments

    List<LoadableConstantEntryPREVIEW> arguments()
    Returns the bootstrap arguments.
    Returns:
      the bootstrap arguments